package net.ranides.demo.debugger;

public class AppObservable {

    /**
     * Something
     *
     * @param args
     * @throws InterruptedException sometimes
     */
    public static void main(String[] args) throws InterruptedException {
        new ExampleObject().run();
    }

    public static class ExampleObject {

        public void run() throws InterruptedException {
            for (int counter = 1; ; counter++) {
                System.out.printf("%03d ", counter % 1000);
                if (counter % 20 == 0) {
                    System.out.printf("%n");
                }
                Thread.sleep(500);
            }
        }

        public int methodInt(int a, int b) {
            return a * b;
        }

        public String methodStr(String a, String b) {
            return a + "*" + b + "=" + (Integer.parseInt(a) * Integer.parseInt(b));
        }

        public double methodNum(String a, String b, double c) {
            return (Integer.parseInt(a) + Integer.parseInt(b)) / c;
        }
    }

}
